body {
    background-image: url("../images/background.png");
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
}

.clearfix::after {
    content: "";
    clear: both;
    display: table;
}

.link {
    color: #3cb878;
    text-decoration: none;
    border-bottom: 1px solid transparent;
}

.link:hover {
    border-bottom: 1px solid #3cb878;
    transition: 0.7s;
}

/***********************************
************************************
HEADER
************************************
***********************************/
.header {
    position: fixed;
    top: 0;
    background: rgba(0, 0, 0, 0.5);
    width: 100%;
    height: 54px;
}

.toolbar {
    position: absolute;
    height: 20px;
    width: calc(100% - 300px);
    top: 0;
    bottom: 0;
    margin: auto;
}

.toolbar .toolbar-name:hover, .toolbar .toolbar-item:hover {
    cursor: pointer;
}

.toolbar:after {
    content: "";
    position: absolute;
    background-color: #2e2c2c;
    height: 20px;
    width: 1px;
    right: 0;
}

.toolbar-name {
    position: absolute;
    font-family: 'Verdana', sans-serif;
    color: #fff;
    font-size: 20px;
    font-weight: 700;
    text-transform: uppercase;
    left: 81px;
}

.toolbar-name:hover {
    color: #3cb878;
    transition: 0.5s;
}

.toolbar-items-list {
    position: absolute;
    right: 25px;
}

.toolbar-item {
    display: inline-block;
    height: 20px;
    background: url('../images/icons.png');
    background-position-y: 0;
    margin-right: 28px;
}

.toolbar-item:last-child {
    margin-right: 0;
}

.toolbar-item:hover {
    background-position-y: 20px;
    transition: 0.5s;
}

.toolbar-item.calendar {
    width: 19px;
    background-position-x: 0;
}

.toolbar-item.forum {
    width: 28px;
    background-position-x: -19px;
}


.toolbar-item.journey {
    width: 20px;
    background-position-x: -47px;
}

.authorization-bar {
    position: absolute;
    height: 20px;
    width: 300px;
    top: 0;
    bottom: 0;
    right: 0;
    margin: auto;
}

.authorization-wrapper {
    position: absolute;
    font-family: 'Verdana', sans-serif;
    color: #ffffff;
    font-size: 14px;
    line-height: 20px;
    left: 25px;
    margin: auto;
}

/***********************************
************************************
SIGN-UP FORM
************************************
***********************************/

.signup-form {
    background-color: #FFF;
    border-radius: 5px;
    width: 444px;
    height: 584px;
    position: absolute;
    top: 54px;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto auto;
}

.signup-form:before {
    content: "";
    background-color: #3cb878;
    width: 18px;
    height: 18px;
    position: absolute;
    top: 29px;
    left: 0;
}

.container {
    position: relative;
    width: 322px;
    margin: 29px auto;
}

.signup-caption {
    display: inline-block;
    float: left;
    font-family: 'Verdana', sans-serif;
    color: #434343;
    font-size: 20px;
    line-height: 21px;
}

.login-link {
    display: inline-block;
    float: right;
    font-family: 'Verdana', sans-serif;
    font-size: 14px;
    line-height: 20px;
}

.signin-wrapper {
    margin-top: 15px;
}

.signin-or {
    display: inline-block;
    position: relative;
    font-family: 'Verdana', sans-serif;
    color: #848484;
    font-size: 14px;
    text-align: center;
    width: 100%;
    margin-top: 33px;
}

.stripe:before {
    content: "";
    background-color: #eaeaea;
    height: 1px;
    width: 135px;
    position: absolute;
    top: 8px;
    left: 0;
}

.stripe:after {
    content: "";
    background-color: #eaeaea;
    height: 1px;
    width: 135px;
    position: absolute;
    top: 8px;
    right: 0;
}

.signup-form-fields-list {
    margin-top: 18px;
}

.signup-form-field:last-child {
    margin-bottom: 0;
}

.signup-form-field {
    display: inline-block;
    box-sizing: border-box;
    font-family: 'Verdana', sans-serif;
    color: #434343;
    font-size: 14px;
    width: 100%;
    height: 46px;
    border: 1px solid #ebebeb;
    outline: none;
    border-radius: 2px;
    padding-left: 19px;
    margin-bottom: 9px;
}

.signup-form-field::placeholder {
    color: #bebebe;
}

.signup-form-field:focus {
    border: 1px solid #f7f7f7;
    box-shadow: 0px 3px 8px 0px rgba(0, 0, 0, 0.21);
    width: 322px;
    height: 46px;
}

.terms {
    margin-top: 20px;
}

.signup-btn {
    font-family: 'Verdana', sans-serif;
    color: #ffffff;
    font-size: 16px;
    line-height: 12px;
    width: 100%;
    background-color: #39ba78;
    border: none;
    border-radius: 2px;
    outline: none;
    padding: 17px 0;
    margin-top: 28px;
}

.signup-btn:hover {
    background-color: #2f9b65;
    transition: 0.7s;
}

/***********************************
************************************
SOCIAL BUTTONS STYLES
************************************
***********************************/
.social-signin-btn {
    position: relative;
    font-family: 'Verdana', sans-serif;
    color: #fff;
    font-size: 16px;
    width: 157px;
    height: 46px;
    border: none;
    border-radius: 2px;
    cursor: pointer;
    outline: none;
}

.social-signin-btn::before {
    content: "";
    position: absolute;
    background-repeat: no-repeat;
    top: 0;
    bottom: 0;
    left: 0px;
}

.social-signin-btn::after {
    content: "";
    position: absolute;
    height: 28px;
    line-height: 28px;
    top: 0;
    bottom: 0;
    left: 47px;
    right: 0;
    margin: auto;
}

/* General styles for social buttons END */

/* Styles for Facebook buttons BEGIN */
.social-signin-btn.facebook {
    float: left;
    background-color: #305db8;
}

.social-signin-btn.facebook:hover {
    background-color: #264b96;
    border-color: rgba(33, 73, 151, 0.5);
    transition: 0.7s;
}

.social-signin-btn.facebook::before {
    background: url('../images/facebook-icon.png');
    width: 10px;
    height: 20px;
    margin: auto 0 auto 20px;
}

.social-signin-btn.facebook::after {
    content: "Facebook";
    border-left: 1px solid #2752a7;
}

.social-signin-btn.facebook:hover::after {
    content: "Facebook";
    border-left: 1px solid #1d4187;
    transition: 0.7s;
}

.social-signin-btn.google {
    float: right;
    background-color: #df4a32;
}

.social-signin-btn.google:hover {
    background-color: #c3412c;
    transition: 0.7s;
}

.social-signin-btn.google::before {
    background: url('../images/google-plus-icon.png');
    width: 25px;
    height: 16px;
    margin: auto 0 auto 12px;
}

.social-signin-btn.google::after {
    content: "Google";
    border-left: 1px solid #c9402a;
}

.social-signin-btn.google:hover::after {
    border-left: 1px solid #b03823;
    transition: 0.7s;
}

.check-mark-container {
    display: block;
    position: relative;
    font-family: 'Verdana', sans-serif;
    color: #434343;
    font-size: 14px;
    line-height: 21px;
    text-align: left;
    padding-left: 35px;
    cursor: pointer;
    user-select: none;
}

.check-mark-container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.check-mark {
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    width: 20px;
    background: transparent;
    border: 1px solid #ebebeb;
    border-radius: 2px;
}

.check-mark-container:hover input ~ .check-mark {
    background-color: transparent;
}


.check-mark-container input:checked ~ .check-mark {
    background-color: transparent;
}

.check-mark:after {
    content: "";
    position: absolute;
    display: none;
}

.check-mark-container input:checked ~ .check-mark:after {
    display: block;
}

.check-mark-container .check-mark:after {
    left: 6px;
    top: 2px;
    width: 5px;
    height: 10px;
    border: solid #39ba78;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}










